Bug 621610 - condor_configure_pool does not respond immediately when given incomplete arguments
condor_configure_pool does not respond immediately when given incomplete argu...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
Development
All Linux
low Severity medium
: 1.3
: ---
Assigned To: Robert Rati
Tomas Rusnak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 12:20 EDT by Matthew Farrellee
Modified: 2010-10-21 14:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-21 14:44:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2010-08-05 12:20:02 EDT
# rpm -qf $(which condor_configure_pool)
condor-wallaby-tools-3.3-1.el5

Actual results:

# time condor_configure_pool -a
No name supplied.  Exiting
usage: condor_configure_pool [-h|--help] [-b|--broker <broker>] [-o|--port <port>] [-U|--user <user>] [-P|--password <password>] [--load-snapshot|--remove-snapshot|--take-snapshot <name>] [--schedds] [--qmfbroker] [-g|--group|-n|--node name] action [-f|--features feature[,feature,...]] [-p|--params param1,param2,...]
  <broker>        - The ip/hostname of the broker used by the configuration store
  <port>          - The port of the broker used by the configuration store
  <user>          - The username used to authenticate with the broker
  <password>      - The password used to authenticate with the broker
  <snapshot>      - The name of the snapshot
  --schedds       - Prompt for scheduler information
  --qmfbroker     - Prompt for QMF broker information
  --default-group - Perform actions on the Internal Default Group in the store
  -h|--help       - Print help

action:
  -a|--add             - Add to the group/node
  -d|--delete          - Remove from the group/node
  -l|--list            - List the specific node/group/feature/param
                         configuration
  --activate           - Attempt to activate the configuration in
                         the store
  --load-snapshot      - Load snapshot with the given name
  --take-snapshot      - Create snapshot with the given name
  --remove-snapshot    - Remove snapshot with the given name
  --list-all-features  - List all features in the store
  --list-all-groups    - List all groups in the store
  --list-all-nodes     - List all nodes in the store
  --list-all-params    - List all params in the store
  --list-all-snapshots - List all snapshots in the store

real	0m3.491s
user	0m0.692s
sys	0m0.125s


Expected results:

The help output after < 1s

Note, the time is likely a function of the # agents, and my guess is ccp is initiating some QMF code before checking arguments.
Comment 1 Robert Rati 2010-08-11 16:40:22 EDT
Fixed in:
condor-wallaby-client-3.4-1
Comment 2 Robert Rati 2010-08-11 16:40:46 EDT
Actually fixed in:
condor-wallaby-tools-3.4-1
Comment 3 Tomas Rusnak 2010-08-30 06:19:37 EDT
Tested for all combination of x86/x86_64 and RHEL4/RHEL5:

$CondorVersion: 7.4.4 Aug 23 2010 BuildID: RH-7.4.4-0.10.el5 PRE-RELEASE $
$CondorPlatform: I386-LINUX_RHEL5 $

real	0m0.323s
user	0m0.087s
sys	0m0.026s

$CondorVersion: 7.4.4 Aug 23 2010 BuildID: RH-7.4.4-0.10.el5 PRE-RELEASE $
$CondorPlatform: X86_64-LINUX_RHEL5 $

real	0m0.353s
user	0m0.094s
sys	0m0.023s

$CondorVersion: 7.4.4 Aug 23 2010 BuildID: RH-7.4.4-0.10.el4 PRE-RELEASE $
$CondorPlatform: I386-LINUX_RHEL4 $

real	0m0.002s
user	0m0.000s
sys	0m0.001s

$CondorVersion: 7.4.4 Aug 23 2010 BuildID: RH-7.4.4-0.10.el4 PRE-RELEASE $
$CondorPlatform: X86_64-LINUX_RHEL4 $

real	0m0.001s
user	0m0.000s
sys	0m0.001s


# rpm -qa condor-wallaby-tools
condor-wallaby-tools-3.4-1

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.